<?php
require(dirname(__FILE__) .'/check.php');
$skin->CheckIframe();


/* **** 版权所有 ****

 程序开发：网钛科技
 网钛CMS官网：http://otcms.com
 网钛IDC官网：http://idccms.com
 ＱＱ：877873666
 微信：QQ877873666
 邮箱：877873666@qq.com

 **** 版权所有 **** */


//用户检测
$MB->Open('','login',10);



switch($mudi){
	case 'infoSet':
		$menuFileID = 274;
		$MB->IsSecMenuRight('alertBack',$menuFileID,$dataType);
		InfoSet();
		break;

	default:
		die('err');
}

$MB->Close();
$DB->Close();





// 基本设置
function InfoSet(){
	global $DB,$mudi,$menuFileID,$menuTreeID,$dataType,$dataTypeCN;

	$backURL		= OT::PostStr('backURL');
	$dataType		= OT::PostStr('dataType');
	$dataTypeCN		= OT::PostStr('dataTypeCN');

	$optionNote1		= OT::PostStr('optionNote1');
	$optionNote2		= OT::PostStr('optionNote2');
	$optionNote3		= OT::PostStr('optionNote3');
	$optionNote4		= OT::PostStr('optionNote4');
	$optionNote5		= OT::PostStr('optionNote5');
	$optionNote6		= OT::PostStr('optionNote6');
	$optionNote7		= OT::PostStr('optionNote7');
	$optionNote8		= OT::PostStr('optionNote8');
	$optionNote9		= OT::PostStr('optionNote9');
	$optionNote10		= OT::PostStr('optionNote10');
	$optionNote11		= OT::PostStr('optionNote11');
	$optionNote12		= OT::PostStr('optionNote12');
	$goUrlNote			= OT::PostStr('goUrlNote');
	$goWapUrlNote		= OT::PostStr('goWapUrlNote');

	$record=array();
	$record['IPS_optionNote1']		= $optionNote1;
	$record['IPS_optionNote2']		= $optionNote2;
	$record['IPS_optionNote3']		= $optionNote3;
	$record['IPS_optionNote4']		= $optionNote4;
	$record['IPS_optionNote5']		= $optionNote5;
	$record['IPS_optionNote6']		= $optionNote6;
	$record['IPS_optionNote7']		= $optionNote7;
	$record['IPS_optionNote8']		= $optionNote8;
	$record['IPS_optionNote9']		= $optionNote9;
	$record['IPS_optionNote10']		= $optionNote10;
	$record['IPS_optionNote11']		= $optionNote11;
	$record['IPS_optionNote12']		= $optionNote12;
	$record['IPS_goUrlNote']		= $goUrlNote;
	$record['IPS_goWapUrlNote']		= $goWapUrlNote;

	$cacheStr = '';
	$judRes = $DB->UpdateParam('idcProSys',$record,'IPS_ID=1');
		if ($judRes){
			$alertRes = '成功';

			$Cache = new Cache();
			$result = $Cache->Php('idcProSys');	// 更新缓存文件
				if ($result){
					$cacheStr .= '\n../cache/idcProSys.php 生成成功！';
				}else{
					$cacheStr .= '\n../cache/idcProSys.php 生成失败，请检查该目录或者文件是否有写入/修改权限！';
				}
		}else{
			$alertRes = '失败';
		}

	Adm::AddLog(array(
		'note'		=> '【IDC产品参数】保存'. $alertRes .'！',
		));

	JS::AlertHrefEnd('保存'. $alertRes .'.'. $cacheStr, $backURL);

}

?>